Blob Blame History Raw
diff -u -N -r lxqt-common-0.9.0/CMakeLists.txt lxqt-common/CMakeLists.txt
--- lxqt-common-0.9.0/CMakeLists.txt	2015-01-20 16:18:21.000000000 -0200
+++ lxqt-common/CMakeLists.txt	2015-02-08 13:21:47.468656382 -0200
@@ -27,6 +27,9 @@
 # menu
 add_subdirectory(menu)
 
+# icons
+add_subdirectory(icons)
+
 # building tarball with CPack -------------------------------------------------
 include(InstallRequiredSystemLibraries)
 set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
diff -u -N -r lxqt-common-0.9.0/.git/config lxqt-common/.git/config
--- lxqt-common-0.9.0/.git/config	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/config	2015-02-08 13:21:47.464656372 -0200
@@ -0,0 +1,11 @@
+[core]
+	repositoryformatversion = 0
+	filemode = true
+	bare = false
+	logallrefupdates = true
+[remote "origin"]
+	url = lxqt:lxqt-common
+	fetch = +refs/heads/*:refs/remotes/origin/*
+[branch "master"]
+	remote = origin
+	merge = refs/heads/master
diff -u -N -r lxqt-common-0.9.0/.git/description lxqt-common/.git/description
--- lxqt-common-0.9.0/.git/description	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/description	2015-02-08 13:21:38.555632752 -0200
@@ -0,0 +1 @@
+Unnamed repository; edit this file 'description' to name the repository.
diff -u -N -r lxqt-common-0.9.0/.git/HEAD lxqt-common/.git/HEAD
--- lxqt-common-0.9.0/.git/HEAD	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/HEAD	2015-02-08 13:21:47.462656366 -0200
@@ -0,0 +1 @@
+ref: refs/heads/master
diff -u -N -r lxqt-common-0.9.0/.git/hooks/applypatch-msg.sample lxqt-common/.git/hooks/applypatch-msg.sample
--- lxqt-common-0.9.0/.git/hooks/applypatch-msg.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/applypatch-msg.sample	2015-02-08 13:21:38.554632749 -0200
@@ -0,0 +1,15 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message taken by
+# applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.  The hook is
+# allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "applypatch-msg".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/commit-msg" &&
+	exec "$GIT_DIR/hooks/commit-msg" ${1+"$@"}
+:
diff -u -N -r lxqt-common-0.9.0/.git/hooks/commit-msg.sample lxqt-common/.git/hooks/commit-msg.sample
--- lxqt-common-0.9.0/.git/hooks/commit-msg.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/commit-msg.sample	2015-02-08 13:21:38.555632752 -0200
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# An example hook script to check the commit log message.
+# Called by "git commit" with one argument, the name of the file
+# that has the commit message.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# commit.  The hook is allowed to edit the commit message file.
+#
+# To enable this hook, rename this file to "commit-msg".
+
+# Uncomment the below to add a Signed-off-by line to the message.
+# Doing this in a hook is a bad idea in general, but the prepare-commit-msg
+# hook is more suited to it.
+#
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
+
+# This example catches duplicate Signed-off-by lines.
+
+test "" = "$(grep '^Signed-off-by: ' "$1" |
+	 sort | uniq -c | sed -e '/^[ 	]*1[ 	]/d')" || {
+	echo >&2 Duplicate Signed-off-by lines.
+	exit 1
+}
diff -u -N -r lxqt-common-0.9.0/.git/hooks/post-update.sample lxqt-common/.git/hooks/post-update.sample
--- lxqt-common-0.9.0/.git/hooks/post-update.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/post-update.sample	2015-02-08 13:21:38.555632752 -0200
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# An example hook script to prepare a packed repository for use over
+# dumb transports.
+#
+# To enable this hook, rename this file to "post-update".
+
+exec git update-server-info
diff -u -N -r lxqt-common-0.9.0/.git/hooks/pre-applypatch.sample lxqt-common/.git/hooks/pre-applypatch.sample
--- lxqt-common-0.9.0/.git/hooks/pre-applypatch.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/pre-applypatch.sample	2015-02-08 13:21:38.554632749 -0200
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed
+# by applypatch from an e-mail message.
+#
+# The hook should exit with non-zero status after issuing an
+# appropriate message if it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-applypatch".
+
+. git-sh-setup
+test -x "$GIT_DIR/hooks/pre-commit" &&
+	exec "$GIT_DIR/hooks/pre-commit" ${1+"$@"}
+:
diff -u -N -r lxqt-common-0.9.0/.git/hooks/pre-commit.sample lxqt-common/.git/hooks/pre-commit.sample
--- lxqt-common-0.9.0/.git/hooks/pre-commit.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/pre-commit.sample	2015-02-08 13:21:38.555632752 -0200
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# An example hook script to verify what is about to be committed.
+# Called by "git commit" with no arguments.  The hook should
+# exit with non-zero status after issuing an appropriate message if
+# it wants to stop the commit.
+#
+# To enable this hook, rename this file to "pre-commit".
+
+if git rev-parse --verify HEAD >/dev/null 2>&1
+then
+	against=HEAD
+else
+	# Initial commit: diff against an empty tree object
+	against=4b825dc642cb6eb9a060e54bf8d69288fbee4904
+fi
+
+# If you want to allow non-ASCII filenames set this variable to true.
+allownonascii=$(git config --bool hooks.allownonascii)
+
+# Redirect output to stderr.
+exec 1>&2
+
+# Cross platform projects tend to avoid non-ASCII filenames; prevent
+# them from being added to the repository. We exploit the fact that the
+# printable range starts at the space character and ends with tilde.
+if [ "$allownonascii" != "true" ] &&
+	# Note that the use of brackets around a tr range is ok here, (it's
+	# even required, for portability to Solaris 10's /usr/bin/tr), since
+	# the square bracket bytes happen to fall in the designated range.
+	test $(git diff --cached --name-only --diff-filter=A -z $against |
+	  LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0
+then
+	cat <<\EOF
+Error: Attempt to add a non-ASCII file name.
+
+This can cause problems if you want to work with people on other platforms.
+
+To be portable it is advisable to rename the file.
+
+If you know what you are doing you can disable this check using:
+
+  git config hooks.allownonascii true
+EOF
+	exit 1
+fi
+
+# If there are whitespace errors, print the offending file names and fail.
+exec git diff-index --check --cached $against --
diff -u -N -r lxqt-common-0.9.0/.git/hooks/prepare-commit-msg.sample lxqt-common/.git/hooks/prepare-commit-msg.sample
--- lxqt-common-0.9.0/.git/hooks/prepare-commit-msg.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/prepare-commit-msg.sample	2015-02-08 13:21:38.555632752 -0200
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# An example hook script to prepare the commit log message.
+# Called by "git commit" with the name of the file that has the
+# commit message, followed by the description of the commit
+# message's source.  The hook's purpose is to edit the commit
+# message file.  If the hook fails with a non-zero status,
+# the commit is aborted.
+#
+# To enable this hook, rename this file to "prepare-commit-msg".
+
+# This hook includes three examples.  The first comments out the
+# "Conflicts:" part of a merge commit.
+#
+# The second includes the output of "git diff --name-status -r"
+# into the message, just before the "git status" output.  It is
+# commented because it doesn't cope with --amend or with squashed
+# commits.
+#
+# The third example adds a Signed-off-by line to the message, that can
+# still be edited.  This is rarely a good idea.
+
+case "$2,$3" in
+  merge,)
+    /usr/bin/perl -i.bak -ne 's/^/# /, s/^# #/#/ if /^Conflicts/ .. /#/; print' "$1" ;;
+
+# ,|template,)
+#   /usr/bin/perl -i.bak -pe '
+#      print "\n" . `git diff --cached --name-status -r`
+#	 if /^#/ && $first++ == 0' "$1" ;;
+
+  *) ;;
+esac
+
+# SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p')
+# grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
diff -u -N -r lxqt-common-0.9.0/.git/hooks/pre-push.sample lxqt-common/.git/hooks/pre-push.sample
--- lxqt-common-0.9.0/.git/hooks/pre-push.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/pre-push.sample	2015-02-08 13:21:38.554632749 -0200
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# An example hook script to verify what is about to be pushed.  Called by "git
+# push" after it has checked the remote status, but before anything has been
+# pushed.  If this script exits with a non-zero status nothing will be pushed.
+#
+# This hook is called with the following parameters:
+#
+# $1 -- Name of the remote to which the push is being done
+# $2 -- URL to which the push is being done
+#
+# If pushing without using a named remote those arguments will be equal.
+#
+# Information about the commits which are being pushed is supplied as lines to
+# the standard input in the form:
+#
+#   <local ref> <local sha1> <remote ref> <remote sha1>
+#
+# This sample shows how to prevent push of commits where the log message starts
+# with "WIP" (work in progress).
+
+remote="$1"
+url="$2"
+
+z40=0000000000000000000000000000000000000000
+
+IFS=' '
+while read local_ref local_sha remote_ref remote_sha
+do
+	if [ "$local_sha" = $z40 ]
+	then
+		# Handle delete
+		:
+	else
+		if [ "$remote_sha" = $z40 ]
+		then
+			# New branch, examine all commits
+			range="$local_sha"
+		else
+			# Update to existing branch, examine new commits
+			range="$remote_sha..$local_sha"
+		fi
+
+		# Check for WIP commit
+		commit=`git rev-list -n 1 --grep '^WIP' "$range"`
+		if [ -n "$commit" ]
+		then
+			echo "Found WIP commit in $local_ref, not pushing"
+			exit 1
+		fi
+	fi
+done
+
+exit 0
diff -u -N -r lxqt-common-0.9.0/.git/hooks/pre-rebase.sample lxqt-common/.git/hooks/pre-rebase.sample
--- lxqt-common-0.9.0/.git/hooks/pre-rebase.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/pre-rebase.sample	2015-02-08 13:21:38.554632749 -0200
@@ -0,0 +1,169 @@
+#!/bin/sh
+#
+# Copyright (c) 2006, 2008 Junio C Hamano
+#
+# The "pre-rebase" hook is run just before "git rebase" starts doing
+# its job, and can prevent the command from running by exiting with
+# non-zero status.
+#
+# The hook is called with the following parameters:
+#
+# $1 -- the upstream the series was forked from.
+# $2 -- the branch being rebased (or empty when rebasing the current branch).
+#
+# This sample shows how to prevent topic branches that are already
+# merged to 'next' branch from getting rebased, because allowing it
+# would result in rebasing already published history.
+
+publish=next
+basebranch="$1"
+if test "$#" = 2
+then
+	topic="refs/heads/$2"
+else
+	topic=`git symbolic-ref HEAD` ||
+	exit 0 ;# we do not interrupt rebasing detached HEAD
+fi
+
+case "$topic" in
+refs/heads/??/*)
+	;;
+*)
+	exit 0 ;# we do not interrupt others.
+	;;
+esac
+
+# Now we are dealing with a topic branch being rebased
+# on top of master.  Is it OK to rebase it?
+
+# Does the topic really exist?
+git show-ref -q "$topic" || {
+	echo >&2 "No such branch $topic"
+	exit 1
+}
+
+# Is topic fully merged to master?
+not_in_master=`git rev-list --pretty=oneline ^master "$topic"`
+if test -z "$not_in_master"
+then
+	echo >&2 "$topic is fully merged to master; better remove it."
+	exit 1 ;# we could allow it, but there is no point.
+fi
+
+# Is topic ever merged to next?  If so you should not be rebasing it.
+only_next_1=`git rev-list ^master "^$topic" ${publish} | sort`
+only_next_2=`git rev-list ^master           ${publish} | sort`
+if test "$only_next_1" = "$only_next_2"
+then
+	not_in_topic=`git rev-list "^$topic" master`
+	if test -z "$not_in_topic"
+	then
+		echo >&2 "$topic is already up-to-date with master"
+		exit 1 ;# we could allow it, but there is no point.
+	else
+		exit 0
+	fi
+else
+	not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"`
+	/usr/bin/perl -e '
+		my $topic = $ARGV[0];
+		my $msg = "* $topic has commits already merged to public branch:\n";
+		my (%not_in_next) = map {
+			/^([0-9a-f]+) /;
+			($1 => 1);
+		} split(/\n/, $ARGV[1]);
+		for my $elem (map {
+				/^([0-9a-f]+) (.*)$/;
+				[$1 => $2];
+			} split(/\n/, $ARGV[2])) {
+			if (!exists $not_in_next{$elem->[0]}) {
+				if ($msg) {
+					print STDERR $msg;
+					undef $msg;
+				}
+				print STDERR " $elem->[1]\n";
+			}
+		}
+	' "$topic" "$not_in_next" "$not_in_master"
+	exit 1
+fi
+
+exit 0
+
+################################################################
+
+This sample hook safeguards topic branches that have been
+published from being rewound.
+
+The workflow assumed here is:
+
+ * Once a topic branch forks from "master", "master" is never
+   merged into it again (either directly or indirectly).
+
+ * Once a topic branch is fully cooked and merged into "master",
+   it is deleted.  If you need to build on top of it to correct
+   earlier mistakes, a new topic branch is created by forking at
+   the tip of the "master".  This is not strictly necessary, but
+   it makes it easier to keep your history simple.
+
+ * Whenever you need to test or publish your changes to topic
+   branches, merge them into "next" branch.
+
+The script, being an example, hardcodes the publish branch name
+to be "next", but it is trivial to make it configurable via
+$GIT_DIR/config mechanism.
+
+With this workflow, you would want to know:
+
+(1) ... if a topic branch has ever been merged to "next".  Young
+    topic branches can have stupid mistakes you would rather
+    clean up before publishing, and things that have not been
+    merged into other branches can be easily rebased without
+    affecting other people.  But once it is published, you would
+    not want to rewind it.
+
+(2) ... if a topic branch has been fully merged to "master".
+    Then you can delete it.  More importantly, you should not
+    build on top of it -- other people may already want to
+    change things related to the topic as patches against your
+    "master", so if you need further changes, it is better to
+    fork the topic (perhaps with the same name) afresh from the
+    tip of "master".
+
+Let's look at this example:
+
+		   o---o---o---o---o---o---o---o---o---o "next"
+		  /       /           /           /
+		 /   a---a---b A     /           /
+		/   /               /           /
+	       /   /   c---c---c---c B         /
+	      /   /   /             \         /
+	     /   /   /   b---b C     \       /
+	    /   /   /   /             \     /
+    ---o---o---o---o---o---o---o---o---o---o---o "master"
+
+
+A, B and C are topic branches.
+
+ * A has one fix since it was merged up to "next".
+
+ * B has finished.  It has been fully merged up to "master" and "next",
+   and is ready to be deleted.
+
+ * C has not merged to "next" at all.
+
+We would want to allow C to be rebased, refuse A, and encourage
+B to be deleted.
+
+To compute (1):
+
+	git rev-list ^master ^topic next
+	git rev-list ^master        next
+
+	if these match, topic has not merged in next at all.
+
+To compute (2):
+
+	git rev-list master..topic
+
+	if this is empty, it is fully merged to "master".
diff -u -N -r lxqt-common-0.9.0/.git/hooks/update.sample lxqt-common/.git/hooks/update.sample
--- lxqt-common-0.9.0/.git/hooks/update.sample	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/hooks/update.sample	2015-02-08 13:21:38.555632752 -0200
@@ -0,0 +1,128 @@
+#!/bin/sh
+#
+# An example hook script to blocks unannotated tags from entering.
+# Called by "git receive-pack" with arguments: refname sha1-old sha1-new
+#
+# To enable this hook, rename this file to "update".
+#
+# Config
+# ------
+# hooks.allowunannotated
+#   This boolean sets whether unannotated tags will be allowed into the
+#   repository.  By default they won't be.
+# hooks.allowdeletetag
+#   This boolean sets whether deleting tags will be allowed in the
+#   repository.  By default they won't be.
+# hooks.allowmodifytag
+#   This boolean sets whether a tag may be modified after creation. By default
+#   it won't be.
+# hooks.allowdeletebranch
+#   This boolean sets whether deleting branches will be allowed in the
+#   repository.  By default they won't be.
+# hooks.denycreatebranch
+#   This boolean sets whether remotely creating branches will be denied
+#   in the repository.  By default this is allowed.
+#
+
+# --- Command line
+refname="$1"
+oldrev="$2"
+newrev="$3"
+
+# --- Safety check
+if [ -z "$GIT_DIR" ]; then
+	echo "Don't run this script from the command line." >&2
+	echo " (if you want, you could supply GIT_DIR then run" >&2
+	echo "  $0 <ref> <oldrev> <newrev>)" >&2
+	exit 1
+fi
+
+if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then
+	echo "usage: $0 <ref> <oldrev> <newrev>" >&2
+	exit 1
+fi
+
+# --- Config
+allowunannotated=$(git config --bool hooks.allowunannotated)
+allowdeletebranch=$(git config --bool hooks.allowdeletebranch)
+denycreatebranch=$(git config --bool hooks.denycreatebranch)
+allowdeletetag=$(git config --bool hooks.allowdeletetag)
+allowmodifytag=$(git config --bool hooks.allowmodifytag)
+
+# check for no description
+projectdesc=$(sed -e '1q' "$GIT_DIR/description")
+case "$projectdesc" in
+"Unnamed repository"* | "")
+	echo "*** Project description file hasn't been set" >&2
+	exit 1
+	;;
+esac
+
+# --- Check types
+# if $newrev is 0000...0000, it's a commit to delete a ref.
+zero="0000000000000000000000000000000000000000"
+if [ "$newrev" = "$zero" ]; then
+	newrev_type=delete
+else
+	newrev_type=$(git cat-file -t $newrev)
+fi
+
+case "$refname","$newrev_type" in
+	refs/tags/*,commit)
+		# un-annotated tag
+		short_refname=${refname##refs/tags/}
+		if [ "$allowunannotated" != "true" ]; then
+			echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2
+			echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,delete)
+		# delete tag
+		if [ "$allowdeletetag" != "true" ]; then
+			echo "*** Deleting a tag is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/tags/*,tag)
+		# annotated tag
+		if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1
+		then
+			echo "*** Tag '$refname' already exists." >&2
+			echo "*** Modifying a tag is not allowed in this repository." >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,commit)
+		# branch
+		if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then
+			echo "*** Creating a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/heads/*,delete)
+		# delete branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	refs/remotes/*,commit)
+		# tracking branch
+		;;
+	refs/remotes/*,delete)
+		# delete tracking branch
+		if [ "$allowdeletebranch" != "true" ]; then
+			echo "*** Deleting a tracking branch is not allowed in this repository" >&2
+			exit 1
+		fi
+		;;
+	*)
+		# Anything else (is there anything else?)
+		echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2
+		exit 1
+		;;
+esac
+
+# --- Finished
+exit 0
Binary files lxqt-common-0.9.0/.git/index and lxqt-common/.git/index differ
diff -u -N -r lxqt-common-0.9.0/.git/info/exclude lxqt-common/.git/info/exclude
--- lxqt-common-0.9.0/.git/info/exclude	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/info/exclude	2015-02-08 13:21:38.555632752 -0200
@@ -0,0 +1,6 @@
+# git ls-files --others --exclude-from=.git/info/exclude
+# Lines that start with '#' are comments.
+# For a project mostly in C, the following would be a good set of
+# exclude patterns (uncomment them if you want to use them):
+# *.[oa]
+# *~
diff -u -N -r lxqt-common-0.9.0/.git/logs/HEAD lxqt-common/.git/logs/HEAD
--- lxqt-common-0.9.0/.git/logs/HEAD	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/logs/HEAD	2015-02-08 13:21:47.463656369 -0200
@@ -0,0 +1 @@
+0000000000000000000000000000000000000000 7db79ae08a53e8578ce24846686fc8a0c6048b9f Helio Chissini de Castro <helio@kde.org> 1423408907 -0200	clone: from lxqt:lxqt-common
diff -u -N -r lxqt-common-0.9.0/.git/logs/refs/heads/master lxqt-common/.git/logs/refs/heads/master
--- lxqt-common-0.9.0/.git/logs/refs/heads/master	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/logs/refs/heads/master	2015-02-08 13:21:47.463656369 -0200
@@ -0,0 +1 @@
+0000000000000000000000000000000000000000 7db79ae08a53e8578ce24846686fc8a0c6048b9f Helio Chissini de Castro <helio@kde.org> 1423408907 -0200	clone: from lxqt:lxqt-common
diff -u -N -r lxqt-common-0.9.0/.git/logs/refs/remotes/origin/HEAD lxqt-common/.git/logs/refs/remotes/origin/HEAD
--- lxqt-common-0.9.0/.git/logs/refs/remotes/origin/HEAD	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/logs/refs/remotes/origin/HEAD	2015-02-08 13:21:47.462656366 -0200
@@ -0,0 +1 @@
+0000000000000000000000000000000000000000 7db79ae08a53e8578ce24846686fc8a0c6048b9f Helio Chissini de Castro <helio@kde.org> 1423408907 -0200	clone: from lxqt:lxqt-common
Binary files lxqt-common-0.9.0/.git/objects/pack/pack-483ec0c9b25acf77663eb74f3fbe8d676e4a3962.idx and lxqt-common/.git/objects/pack/pack-483ec0c9b25acf77663eb74f3fbe8d676e4a3962.idx differ
Binary files lxqt-common-0.9.0/.git/objects/pack/pack-483ec0c9b25acf77663eb74f3fbe8d676e4a3962.pack and lxqt-common/.git/objects/pack/pack-483ec0c9b25acf77663eb74f3fbe8d676e4a3962.pack differ
diff -u -N -r lxqt-common-0.9.0/.git/packed-refs lxqt-common/.git/packed-refs
--- lxqt-common-0.9.0/.git/packed-refs	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/packed-refs	2015-02-08 13:21:47.461656364 -0200
@@ -0,0 +1,12 @@
+# pack-refs with: peeled fully-peeled 
+7db79ae08a53e8578ce24846686fc8a0c6048b9f refs/remotes/origin/master
+f66b23b0d19fd564b1ef30136d62aa13e42dfa1b refs/remotes/origin/razor-menu
+49b6d0e5c077c8a05cb0869d599244cebee17471 refs/remotes/origin/urgency-hint-update
+2678fcb65716514ae311b516fed38099be82327f refs/tags/0.6.99
+^83965da3986f84cbada3c4387df1714d5231a95d
+dd309342a6df86eb242177a5989d22ca05130966 refs/tags/0.7.0
+^6ee1eeeb8b5e502b1a114ee0fc5385f7ef9f8431
+a82e263fe49fe10a08550988680458daade981a9 refs/tags/0.8.0
+^8fb59e4b1eca11316696b73fd3846d64f45ab479
+36aa2b5abaafeefb2163dec8e6bf1f0e1069c145 refs/tags/0.9.0
+^e400c79738b7251526d5e5317926f30a70d61801
diff -u -N -r lxqt-common-0.9.0/.git/refs/heads/master lxqt-common/.git/refs/heads/master
--- lxqt-common-0.9.0/.git/refs/heads/master	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/refs/heads/master	2015-02-08 13:21:47.463656369 -0200
@@ -0,0 +1 @@
+7db79ae08a53e8578ce24846686fc8a0c6048b9f
diff -u -N -r lxqt-common-0.9.0/.git/refs/remotes/origin/HEAD lxqt-common/.git/refs/remotes/origin/HEAD
--- lxqt-common-0.9.0/.git/refs/remotes/origin/HEAD	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/.git/refs/remotes/origin/HEAD	2015-02-08 13:21:47.461656364 -0200
@@ -0,0 +1 @@
+ref: refs/remotes/origin/master
diff -u -N -r lxqt-common-0.9.0/icons/CMakeLists.txt lxqt-common/icons/CMakeLists.txt
--- lxqt-common-0.9.0/icons/CMakeLists.txt	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/icons/CMakeLists.txt	2015-02-08 13:21:47.502656473 -0200
@@ -0,0 +1 @@
+install(DIRECTORY hicolor DESTINATION share/icons PATTERN "*")
diff -u -N -r lxqt-common-0.9.0/icons/hicolor/scalable/places/start-here-lxqt.svg lxqt-common/icons/hicolor/scalable/places/start-here-lxqt.svg
--- lxqt-common-0.9.0/icons/hicolor/scalable/places/start-here-lxqt.svg	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/icons/hicolor/scalable/places/start-here-lxqt.svg	2015-02-08 13:21:47.502656473 -0200
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="48pt" height="48pt" viewBox="0 0 48 48" version="1.1">
+<defs>
+<clipPath id="clip1">
+  <rect width="48" height="48"/>
+</clipPath>
+<g id="surface6" clip-path="url(#clip1)">
+<path style=" stroke:none;fill-rule:nonzero;fill:rgb(87.058824%,87.058824%,87.058824%);fill-opacity:1;" d="M 21.070312 14.476562 C 19.847656 13.324219 18.988281 11.792969 18.632812 10.152344 C 18.277344 8.507812 18.433594 6.761719 19.070312 5.203125 C 19.707031 3.648438 20.824219 2.296875 22.226562 1.375 C 23.632812 0.449219 25.320312 -0.0351562 27 0 C 28.585938 0.03125 30.160156 0.527344 31.480469 1.40625 C 32.796875 2.285156 33.859375 3.546875 34.5 5 L 48 8 L 31.757812 8 C 30.851562 6.507812 29.296875 5.425781 27.582031 5.101562 C 26.402344 4.875 25.160156 5 24.050781 5.453125 C 22.941406 5.90625 21.964844 6.6875 21.28125 7.671875 C 20.597656 8.660156 20.203125 9.84375 20.167969 11.042969 C 20.128906 12.242188 20.449219 13.453125 21.070312 14.476562 "/>
+<path style=" stroke:none;fill-rule:nonzero;fill:rgb(87.058824%,87.058824%,87.058824%);fill-opacity:1;" d="M 22.5 19.5 L 3 3 C 1.078125 4.984375 -0.0234375 7.738281 0 10.5 C 0.0234375 13.300781 1.207031 16.074219 3.210938 18.03125 C 5.214844 19.988281 8.015625 21.105469 10.816406 21.066406 C 9.277344 20.855469 7.816406 20.101562 6.75 18.96875 C 5.683594 17.839844 5.019531 16.335938 4.898438 14.789062 C 4.785156 13.289062 5.179688 11.757812 6 10.5 L 22.5 19.5 "/>
+<path style=" stroke:none;fill-rule:nonzero;fill:rgb(87.058824%,87.058824%,87.058824%);fill-opacity:1;" d="M 21 24 L 1.5 18 C 0.980469 19.984375 1.140625 22.136719 1.945312 24.023438 C 2.753906 25.90625 4.203125 27.507812 6 28.5 C 7.371094 29.257812 8.933594 29.660156 10.5 29.660156 C 12.066406 29.660156 13.628906 29.257812 15 28.5 C 13.738281 28.613281 12.453125 28.40625 11.292969 27.898438 C 10.132812 27.394531 9.101562 26.589844 8.328125 25.589844 C 7.4375 24.433594 6.886719 23.015625 6.773438 21.5625 L 21 24 "/>
+<path style=" stroke:none;fill-rule:nonzero;fill:rgb(87.058824%,87.058824%,87.058824%);fill-opacity:1;" d="M 30.058594 13 C 29.222656 13.988281 28.675781 15.21875 28.5 16.5 C 28.335938 17.710938 28.5 18.949219 28.820312 20.128906 C 29.140625 21.304688 29.617188 22.4375 30.085938 23.566406 C 30.554688 24.695312 31.019531 25.828125 31.324219 27.011719 C 31.625 28.195312 31.761719 29.441406 31.558594 30.644531 C 31.21875 32.660156 29.933594 34.453125 28.257812 35.621094 C 26.582031 36.789062 24.539062 37.367188 22.5 37.5 C 19.925781 37.667969 17.3125 37.144531 15 36 L 15.058594 48 L 18.058594 42.03125 C 22.023438 43.191406 26.457031 42.621094 30 40.5 C 31.789062 39.429688 33.359375 37.972656 34.453125 36.199219 C 35.550781 34.425781 36.15625 32.335938 36.058594 30.257812 C 35.917969 27.292969 34.40625 24.589844 32.960938 22 C 31.511719 19.410156 30.054688 16.664062 30.035156 13.695312 C 30.035156 13.464844 30.042969 13.230469 30.058594 13 "/>
+</g>
+</defs>
+<g id="surface1">
+<rect x="0" y="0" width="48" height="48" style="fill:rgb(10.196078%,50.196078%,71.372549%);fill-opacity:1;stroke:none;"/>
+<use xlink:href="#surface6"/>
+</g>
+</svg>
diff -u -N -r lxqt-common-0.9.0/menu/CMakeLists.txt lxqt-common/menu/CMakeLists.txt
--- lxqt-common-0.9.0/menu/CMakeLists.txt	2015-01-20 16:18:21.000000000 -0200
+++ lxqt-common/menu/CMakeLists.txt	2015-02-08 13:21:47.502656473 -0200
@@ -1,3 +1,14 @@
+file(GLOB DIRECTORY_FILES_IN desktop-directories/*.directory.in)
+
+# Translations **********************************
+lxqt_translate_desktop(DIRECTORY_FILES
+    SOURCES
+        ${DIRECTORY_FILES_IN}
+)
+add_custom_target(desktop_directories_files ALL DEPENDS ${DIRECTORY_FILES})
+#************************************************
+
+install(FILES ${DIRECTORY_FILES} DESTINATION share/desktop-directories)
 install(FILES lxqt-applications.menu	DESTINATION ${LXQT_ETC_XDG_DIR}/menus/)
 
 
diff -u -N -r lxqt-common-0.9.0/menu/desktop-directories/lxqt-leave.directory.in lxqt-common/menu/desktop-directories/lxqt-leave.directory.in
--- lxqt-common-0.9.0/menu/desktop-directories/lxqt-leave.directory.in	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/menu/desktop-directories/lxqt-leave.directory.in	2015-02-08 13:21:47.502656473 -0200
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Name=Leave
+Comment=Leave Session
+Icon=system-shutdown
+Type=Directory
+
+#TRANSLATIONS_DIR=../translations
diff -u -N -r lxqt-common-0.9.0/menu/lxqt-applications.menu lxqt-common/menu/lxqt-applications.menu
--- lxqt-common-0.9.0/menu/lxqt-applications.menu	2015-01-20 16:18:21.000000000 -0200
+++ lxqt-common/menu/lxqt-applications.menu	2015-02-08 13:21:47.502656473 -0200
@@ -169,7 +169,7 @@
         <!-- Leave -->
 	<Menu>
 		<Name>X-Leave</Name>
-		<Directory>lxde-leave.directory</Directory>
+		<Directory>lxqt-leave.directory</Directory>
 		<Include>
 			<And>
 				<Category>X-Leave</Category>
diff -u -N -r lxqt-common-0.9.0/menu/translations/lxqt-leave_de.directory lxqt-common/menu/translations/lxqt-leave_de.directory
--- lxqt-common-0.9.0/menu/translations/lxqt-leave_de.directory	1969-12-31 21:00:00.000000000 -0300
+++ lxqt-common/menu/translations/lxqt-leave_de.directory	2015-02-08 13:21:47.502656473 -0200
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Leave
+Comment=Leave Session
+Icon=system-shutdown
+Type=Directory
+
+Comment[de]=Sitzung verlassen
+Name[de]=Verlassen
diff -u -N -r lxqt-common-0.9.0/themes/light/lxqt-desktop.qss lxqt-common/themes/light/lxqt-desktop.qss
--- lxqt-common-0.9.0/themes/light/lxqt-desktop.qss	2015-01-20 16:18:21.000000000 -0200
+++ lxqt-common/themes/light/lxqt-desktop.qss	1969-12-31 21:00:00.000000000 -0300
@@ -1,31 +0,0 @@
-/* Notepad plugin style */
-NotepadWin {
-    background: transparent;
-    margin: 0;
-    padding: 0;
-}
-
-NotepadWin QTextEdit {
-    background: rgba(255, 255, 255, 60%);
-    color: #000000;
-    margin: 0;
-    border: none;
-}
-
-
-NotepadWin QToolButton {
-    min-width: 19px;
-    padding: 3px 2px;
-    margin-right: 1px;
-    margin-left: 0px;
-}
-
-
-NotepadWin QToolButton#leftSided {
-    margin-left: 6px;
-}
-
-NotepadWin QToolButton#justified {
-    margin-right: 0px;
-}
-/* ~Notepad plugin style */
\ No newline at end of file
diff -u -N -r lxqt-common-0.9.0/themes/light/lxqt-lightdm-greeter.qss lxqt-common/themes/light/lxqt-lightdm-greeter.qss
--- lxqt-common-0.9.0/themes/light/lxqt-lightdm-greeter.qss	2015-01-20 16:18:21.000000000 -0200
+++ lxqt-common/themes/light/lxqt-lightdm-greeter.qss	1969-12-31 21:00:00.000000000 -0300
@@ -1,28 +0,0 @@
-QWidget {
-    border-radius: 5px;
-}
-
-#formFrame { 
-    background-color: rgba(200,200,200, 128); 
-    border-radius: 10px;
-}
-
-QComboBox,
-QPushButton {
-    border: 1px solid silver;
-    background-color: rgb(200, 200, 200);
-}
-
-QComboBox::drop-down {
-    border: none;
-    width: 24px;
-}
-
-QComboBox::down-arrow {
-    image: url(lxqt-lightdm-greeter/dropdown.svg);
-}
-
-#leaveButton {
-    qproperty-iconSize: 25px;
-    qproperty-icon: url(lxqt-lightdm-greeter/leaveIcon.svg);
-}
Binary files lxqt-common-0.9.0/themes/light/lxqt-power/cancel.png and lxqt-common/themes/light/lxqt-power/cancel.png differ
Binary files lxqt-common-0.9.0/themes/light/lxqt-power/hibernate.png and lxqt-common/themes/light/lxqt-power/hibernate.png differ
Binary files lxqt-common-0.9.0/themes/light/lxqt-power/logout.png and lxqt-common/themes/light/lxqt-power/logout.png differ
Binary files lxqt-common-0.9.0/themes/light/lxqt-power/reboot.png and lxqt-common/themes/light/lxqt-power/reboot.png differ
Binary files lxqt-common-0.9.0/themes/light/lxqt-power/shutdown.png and lxqt-common/themes/light/lxqt-power/shutdown.png differ
Binary files lxqt-common-0.9.0/themes/light/lxqt-power/suspend.png and lxqt-common/themes/light/lxqt-power/suspend.png differ
diff -u -N -r lxqt-common-0.9.0/themes/light/lxqt-power.qss lxqt-common/themes/light/lxqt-power.qss
--- lxqt-common-0.9.0/themes/light/lxqt-power.qss	2015-01-20 16:18:21.000000000 -0200
+++ lxqt-common/themes/light/lxqt-power.qss	1969-12-31 21:00:00.000000000 -0300
@@ -1,61 +0,0 @@
-QWidget {
-
-}
-
-Dialog {
-    border: 1px solid #B0B0B0;
-    background-color:qlineargradient(x1:0, y1:0, x2:0, y2:1, stop:0 #EFEFEF, stop:0.25 #e9e9e9, stop: 0.5 #dfdfdf, stop: 0.75 #d7d7d7, stop:1 #c0c0c0);
-
-}
-
-QToolButton {
-    border: 1px solid silver;
-    border-radius: 5px;
-}
-
-QToolButton:focus,
-QToolButton:hover {
-	border: 1px solid #80a8d3;
-}
-
-
-#hibernateButton,
-#logoutButton,
-#rebootButton,
-#shutdownButton,
-#suspendButton {
-	qproperty-iconSize: 48px;
-	min-width: 80px;
-	min-height: 80px;
-    border-radius: 5px;
-}
-
-
-#cancelButton {
-	qproperty-icon: url(lxqt-power/cancel.png);
-    padding: 4px;
-}
-
-#hibernateButton {
-	qproperty-icon: url(lxqt-power/hibernate.png);
-}
-
-#logoutButton {
-	qproperty-icon: url(lxqt-power/logout.png);
-}
-
-#rebootButton {
-	qproperty-icon: url(lxqt-power/reboot.png);
-}
-
-#shutdownButton {
-	qproperty-icon: url(lxqt-power/shutdown.png);
-}
-
-#suspendButton {
-	qproperty-icon: url(lxqt-power/suspend.png);
-}
-
-
-
-